Preview pay schedule datesCopy Pageget https://api.gusto-demo.com/v1/companies/{company_id}/pay_schedules/previewReturns a preview of pay period dates and holidays for the given parameters (e.g. frequency, anchor pay date) for the next 18 months. Use this before creating or updating a pay schedule to show expected check dates and payroll deadlines. Related guides Create a pay schedule Manage Pay Schedules via API scope: pay_schedules:writePath Paramscompany_idstringrequiredThe UUID of the companyQuery ParamsfrequencystringenumrequiredThe frequency that employees on this pay schedule are paid.Every weekEvery other weekTwice per monthMonthlyAllowed:Every weekEvery other weekTwice per monthMonthlyanchor_pay_datedaterequiredThe first date that employees on this pay schedule are paid.anchor_end_of_pay_perioddaterequiredThe last date of the first pay period. This can be the same date as the anchor pay date.day_1integerFirst pay day of the month (1-31). Twice per month, Monthly: required. Every week, Every other week: omit or null. day_2integerSecond pay day of the month (1-31); only for Twice per month. Use 31 for last day of month (shorter months use the actual last day). Other frequencies: omit or null. end_datedateEnd date for the preview range. If given, this date must be in the future. When unspecified, defaults to 18 months from today.HeadersX-Gusto-API-VersionstringenumDefaults to 2026-02-01Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.2026-02-01Allowed:2026-02-01Responses 200Successful 404Not Found The requested resource does not exist. Make sure the provided UUID is valid. 422Unprocessable Entity This may happen when the body of your request contains errors such as invalid_attribute_value, or the request fails due to an invalid_operation. See the Errors Categories guide for more details.Updated 5 days ago